Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 4901)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 1)
@@ -733,140 +215,443 @@
 !--             Get variable ID from name
                 nc_stat = NF90_INQ_VARID( id_set(av), TRIM( var_name ), &
-                     id_var(av,i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 16 )
+                                          id_var(av,i) )
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 4 )
+
+!
+!--             Get number of x/y/z levels for that variable
+                nc_stat = NF90_INQUIRE_VARIABLE( id_set(av), id_var(av,i), &
+                                                 dimids = id_dims_loc )
+                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 5 )
+                id_dims(av,:) = id_dims_loc
+
+!
+!--             Inquire dimension ID
+                DO  j = 1, 4
+                   nc_stat = NF90_INQUIRE_DIMENSION( id_set(av), id_dims(av,j),&
+                                                     dimname, levels(av,i) )
+                   IF ( nc_stat /= NF90_NOERR ) CALL handle_netcdf_error( 6 )
+
+                   IF ( modus == 'XY' .AND. INDEX(dimname, 'z') /= 0 )  EXIT
+                   IF ( modus == 'XZ' .AND. INDEX(dimname, 'y') /= 0 )  EXIT
+                   IF ( modus == 'YZ' .AND. INDEX(dimname, 'x') /= 0 )  EXIT
+                ENDDO
 
              ENDDO
 
-          ENDDO    ! av=0,1
-
-#endif
-       ENDIF
-
-!
-!--    Read arrays, until the end of the file is reached
-       IF ( .NOT. netcdf_parallel )  THEN
-
-          current_var = 999999999
-          fanz = 0
-          DO  WHILE ( danz /= 0 )
-
-!
-!--          Loop over all files
-             DO  id = 0, danz-1
-!
-!--             File from PE0 contains at the beginning the index bounds 
-!--             of PALM's total domain.
-!--             Allocate the array for storing the total domain data
-                IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 )  THEN
-                   READ ( id+110 )  nxa, nxe, nya, nye, nza, nze
-                   ALLOCATE ( pf3d(nxa:nxe,nya:nye,nza:nze) )
+          ENDDO   ! av = 0, 1
+
+       ENDIF
+#endif
+
+!
+!--    Read the arrays, as long as the end of the file is reached
+       fanz          =         0
+       current_level =         1
+       current_var   = 999999999
+
+       DO  WHILE ( danz /= 0 )
+
+!
+!--       Loop over all files (reading data of the subdomains)
+          DO  id = 0, danz-1
+!
+!--          File from PE0 contains special information at the beginning,
+!--          concerning the lower and upper indices of the total-domain used
+!--          in PALM (nxag, nxeg, nyag, nyeg) and the lower and upper
+!--          indices of the array to be writte by this routine (nxa, nxe, nya,
+!--          nye). Usually in the horizontal directions nxag=-1 and nxa=0
+!--          while all other variables have the same value (i.e. nxeg=nxe).
+!--          Allocate necessary arrays, open the output file and write
+!--          the coordinate informations needed by ISO2D.
+             IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 )  THEN
+                READ ( id+110 )  nxag, nxeg, nyag, nyeg
+                READ ( id+110 )  nxa, nxe, nya, nye
+                ALLOCATE ( eta(nya:nye), ho(nxa:nxe), hu(nxa:nxe), &
+                           pf(nxag:nxeg,nyag:nyeg) )
+                READ ( id+110 )  dx, eta, hu, ho
+
+                IF ( iso2d_output )  THEN
+                   OPEN ( 2, FILE='PLOT2D_'//modus, FORM='UNFORMATTED' )
+                   WRITE ( 2 )  dx, eta, hu, ho
                 ENDIF
-
-!
-!--             Read output time
-                IF ( netcdf_output  .AND.  id == 0 )  THEN
-                   IF ( netcdf_1 )  THEN
-                      READ ( id+110, END=999 )  simulated_time, time_step, av
-                   ELSE
-!
-!--                   For compatibility with earlier PALM versions
-                      READ ( id+110, END=999 )  simulated_time, time_step
-                      av = 0
-                   ENDIF
+             ENDIF
+!
+!--          Read output time
+             IF ( netcdf_output  .AND.  id == 0 )  THEN
+                IF ( netcdf_1 )  THEN
+                   READ ( id+110, END=998 )  simulated_time, time_step, av
+                ELSE
+!
+!--                For compatibility with earlier PALM versions
+                   READ ( id+110, END=998 )  simulated_time, time_step
+                   av = 0
                 ENDIF
-
-!
-!--             Read subdomain indices and grid point values
-                READ ( id+110, END=999 )  xa, xe, ya, ye, za, ze
-                ALLOCATE( pf3d_tmp(xa:xe,ya:ye,za:ze) )
-                READ ( id+110 )  pf3d_tmp
-
-                xxa = MAX( nxa, xa )
-                xxe = MIN( nxe, xe )
-                yya = MAX( nya, ya )
-                yye = MIN( nye, ye )
-                DO  k = za, ze
-                   DO  j = yya, yye
-                      DO  i = xxa, xxe
-                         pf3d(i,j,k) = pf3d_tmp(i,j,k)
-                      ENDDO
-                   ENDDO
-                ENDDO
-
-                DEALLOCATE( pf3d_tmp )
-                IF ( id == 0 )  fanz(av) = fanz(av) + 1
-
-             ENDDO
-
-!
-!--          Write data of the total domain in NetCDF format
-             IF ( netcdf_output )  THEN
-#if defined( __netcdf )
-!
-!--             Check if a new time step has begun; if yes write data to time
-!--             axis
-                IF ( current_var(av) > num_var(av) )  THEN
-                   current_var(av) = 1
-                   nc_stat = NF90_PUT_VAR( id_set(av), id_var_time(av), &
-                                      (/ simulated_time /),&
-                                      start = (/ time_step /), count = (/ 1 /) )
-                   IF ( nc_stat /= NF90_NOERR ) CALL handle_netcdf_error( 17 )
-                ENDIF
-
-!
-!--             Now write the data
-                nc_stat = NF90_PUT_VAR( id_set(av), id_var(av,current_var(av)),&
-                                        pf3d(nxa:nxe,nya:nye,za:ze), start = (/ 1, 1, 1, time_step /),&
-                              count = (/ nxe-nxa+1, nye-nya+1, ze-za+1, 1 /) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 18 )
-
-                current_var(av) = current_var(av) + 1
-
-#endif
-             ENDIF
+             ENDIF
+!
+!--          Read subdomain indices
+             READ ( id+110, END=998 )  xa, xe, ya, ye
+!
+!--          IF the PE made no output (in case that no part of the
+!--          cross-section is situated on this PE), indices have the
+!--          value -1
+             IF ( .NOT. ( xa == -1  .AND.  xe == -1  .AND. &
+                          ya == -1  .AND.  ye == -1 ) )  THEN
+!
+!--              Read the subdomain grid-point values
+                 READ ( id+110 )  pf(xa:xe,ya:ye)
+             ENDIF
+             IF ( id == 0 )  fanz(av) = fanz(av) + 1
 
           ENDDO
-
-       ENDIF
-
-999    IF ( danz /= 0  .AND.  .NOT. netcdf_parallel )  THEN
-!
-!--       Print the number of arrays processed
+!
+!--       Write the data of the total domain cross-section
+          IF ( iso2d_output )  WRITE ( 2 )  pf(nxa:nxe,nya:nye)
+       
+!
+!--       Write same data in NetCDF format
+          IF ( netcdf_output )  THEN
+#if defined( __netcdf )
+!
+!--          Check if a new time step has begun; if yes write data to time axis
+             IF ( current_var(av) > num_var(av) )  THEN
+                current_var(av) = 1
+                nc_stat = NF90_PUT_VAR( id_set(av), id_var_time(av), &
+                                        (/ simulated_time /),        &
+                                        start = (/ time_step /),     &
+                                        count = (/ 1 /) )
+                IF ( nc_stat /= NF90_NOERR ) CALL handle_netcdf_error( 7 )
+             ENDIF
+
+!
+!--          Now write the data; this is mode dependent
+             SELECT CASE ( modus )
+
+                CASE ( 'XY' )
+                   nc_stat = NF90_PUT_VAR( id_set(av),                         &
+                                           id_var(av,current_var(av)),         &
+                                           pf(nxa:nxe,nya:nye),                &
+                             start = (/ 1, 1, current_level(av), time_step /), &
+                                      count = (/ nxe-nxa+1, nye-nya+1, 1, 1 /) )
+                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 8 )
+                  
+                CASE ( 'XZ' )
+                   nc_stat = NF90_PUT_VAR( id_set(av),                         &
+                                           id_var(av,current_var(av)),         &
+                                           pf(nxa:nxe,nya:nye),                &
+                             start = (/ 1, current_level(av), 1, time_step /), &
+                                      count = (/ nxe-nxa+1, 1, nye-nya+1, 1 /) )
+                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 9 )
+
+                CASE ( 'YZ' )
+                   nc_stat = NF90_PUT_VAR( id_set(av),                         &
+                                           id_var(av,current_var(av)),         &
+                                           pf(nxa:nxe,nya:nye),                &
+                             start = (/ current_level(av), 1, 1, time_step /), &
+                                      count = (/ 1, nxe-nxa+1, nye-nya+1, 1 /) )
+                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 10 )
+
+             END SELECT
+
+!
+!--          Data is written, check if max level is reached
+             current_level(av) = current_level(av) + 1
+             IF ( current_level(av) > levels(av,current_var(av)) )  THEN
+                current_level(av) = 1
+                current_var(av)   = current_var(av) + 1
+             ENDIF
+
+          ENDIF
+#endif
+
+       ENDDO
+
+998    IF ( danz /= 0 )  THEN
+!
+!--       Print the number of the arrays processed
           WRITE (*,'(16X,I4,A)')  fanz(0)+fanz(1), ' array(s) processed'
           IF ( fanz(1) /= 0 )  THEN
              WRITE (*,'(16X,I4,A)')  fanz(1), ' array(s) are time-averaged'
           ENDIF
-!
-!--       Close all files and deallocate array
+
+!
+!--       Close all files and deallocate arrays
           DO  id = 0, danz-1
              CLOSE ( id+110 )
           ENDDO
           CLOSE ( 2 )
-          DEALLOCATE ( pf3d )
-!
-!--       Close the NetCDF file
-          IF ( netcdf_output )  THEN
-#if defined( __netcdf )
-             IF ( netcdf_0 )  THEN
-                nc_stat = NF90_CLOSE( id_set(0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 19 )
-             ENDIF
+          DEALLOCATE ( eta, ho, hu, pf )
+       ENDIF
+
+!
+!--    Close the NetCDF file
+       IF ( netcdf_output  .AND.  danz /= 0 )  THEN
+#if defined( __netcdf )
+          IF ( netcdf_0 )  THEN
+             nc_stat = NF90_CLOSE( id_set(0) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 11 )
+          ENDIF
+          IF ( netcdf_1 )  THEN
+             nc_stat = NF90_CLOSE( id_set(1) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 12 )
+          ENDIF
+#endif
+       ENDIF
+
+!
+!--    Choose the next cross-section
+       SELECT CASE ( modus )
+          CASE ( 'XY' )
+             modus = 'XZ'
+          CASE ( 'XZ' )
+             modus = 'YZ'
+          CASE ( 'YZ' )
+             modus = 'no'
+       END SELECT
+
+    ENDDO
+
+
+!
+!-- Combine the 3D-arrays
+
+!
+!-- Inquire whether an avs fld file exists
+    INQUIRE( FILE='PLOT3D_FLD', EXIST=avs_output )
+
+!
+!-- Inquire whether a NetCDF file exists
+    INQUIRE( FILE='DATA_3D_NETCDF', EXIST=netcdf_0 )
+
+!
+!-- Inquire whether a NetCDF file for time-averaged data exists
+    INQUIRE( FILE='DATA_3D_AV_NETCDF', EXIST=netcdf_1 )
+
+    IF ( netcdf_0  .OR.  netcdf_1 )  THEN
+       netcdf_output = .TRUE.
+    ELSE
+       netcdf_output = .FALSE.
+    ENDIF
+
+!
+!-- Check, if file from PE0 exists
+    danz = 0
+    WRITE (id_char,'(I4.4)')  danz
+    INQUIRE ( FILE='PLOT3D_DATA_'//TRIM( id_char ), EXIST=found )
+
+!
+!-- Combination only works, if data are not compressed. In that case, 
+!-- PALM created a flag file (PLOT3D_COMPRESSED)
+    INQUIRE ( FILE='PLOT3D_COMPRESSED', EXIST=compressed )
+
+!
+!-- Find out the number of files and open them
+    DO  WHILE ( found  .AND.  .NOT. compressed )
+
+       OPEN ( danz+110, FILE='PLOT3D_DATA_'//TRIM( id_char ), &
+              FORM='UNFORMATTED')
+       danz = danz + 1
+       WRITE (id_char,'(I4.4)')  danz
+       INQUIRE ( FILE='PLOT3D_DATA_'//TRIM( id_char ), EXIST=found )
+
+    ENDDO
+
+!
+!-- Info-output
+    PRINT*, ' '
+    PRINT*, '*** combine_plot_fields ***'
+#if defined( __netcdf )
+       IF ( netcdf_output )  PRINT*, '    NetCDF output enabled'
+#else
+       IF ( netcdf_output )  THEN
+          PRINT*, '--- Sorry, no NetCDF support on this host'
+          netcdf_output = .FALSE.
+       ENDIF
+#endif
+    IF ( danz /= 0 )  THEN
+       PRINT*, '    3D-data:     ', danz, ' file(s) found'
+    ELSE
+       IF ( found .AND. compressed )  THEN
+          PRINT*, '+++ no 3D-data processing, since data are compressed'
+       ELSE
+          PRINT*, '    no 3D-data file available'
+       ENDIF
+    ENDIF
+
+    IF ( netcdf_output  .AND.  danz /= 0 )  THEN
+#if defined( __netcdf )
+       DO  av = 0, 1
+
+          IF ( av == 0  .AND.  .NOT.  netcdf_0 )  CYCLE
+          IF ( av == 1  .AND.  .NOT.  netcdf_1 )  CYCLE
+
+!
+!--       Open NetCDF dataset
+          IF ( av == 0 )  THEN
+             filename = 'DATA_3D_NETCDF'
+          ELSE
+             filename = 'DATA_3D_AV_NETCDF'
+          ENDIF
+          nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set(av) )
+          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 13 )
+
+
+!
+!--       Get the list of variables (order of variables corresponds with the
+!--       order of data on the binary file)
+          var_list(av) = ' '    ! GET_ATT does not assign trailing blanks
+          nc_stat = NF90_GET_ATT( id_set(av), NF90_GLOBAL, 'VAR_LIST', &
+                                  var_list(av) )
+          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 14 )
+
+!
+!--       Inquire id of the time coordinate variable
+          nc_stat = NF90_INQ_VARID( id_set(av), 'time', id_var_time(av) )
+          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 15 )
+
+!
+!--       Count number of variables; there is one more semicolon in the string
+!--       than variable names
+          num_var(av) = -1
+          DO  i = 1, LEN( var_list(av) )
+             IF ( var_list(av)(i:i) == ';' )  num_var(av) = num_var(av) + 1
+          ENDDO
+
+!
+!--       Extract the variable names from the list and inquire their NetCDF IDs
+          pos = INDEX( var_list(av), ';' )
+!
+!--       Loop over all variables
+          DO  i = 1, num_var(av)
+
+!
+!--          Extract variable name from list
+             var_list(av) = var_list(av)(pos+1:)
+             pos = INDEX( var_list(av), ';' )
+             var_name = var_list(av)(1:pos-1)
+
+!
+!--          Get variable ID from name
+!             print*, '*** find id for "',TRIM( var_name ),'" begin'
+             nc_stat = NF90_INQ_VARID( id_set(av), TRIM( var_name ), &
+                                       id_var(av,i) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 16 )
+!             print*, '*** find id for "',TRIM( var_name ),'" end'
+
+          ENDDO
+
+       ENDDO    ! av=0,1
+
+    ENDIF
+#endif
+
+!
+!-- Read arrays, until the end of the file is reached
+    current_var = 999999999
+    fanz = 0
+    DO  WHILE ( danz /= 0 )
+
+!
+!--    Loop over all files
+       DO  id = 0, danz-1
+!
+!--       File from PE0 contains special information at the beginning,
+!--       concerning the lower and upper indices of the total-domain used
+!--       in PALM (nxag, nxeg, nyag, nyeg, nzag, nzeg) and the lower and upper
+!--       indices of the array to be written by this routine (nxa, nxe, nya,
+!--       nye, nza, nze). Usually nxag=-1 and nxa=0, nyag=-1 and nya=0,
+!--       nzeg=nz and nze=nz_plot3d.
+!--       Allocate necessary array and open the output file.
+          IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 )  THEN
+             READ ( id+110 )  nxag, nxeg, nyag, nyeg, nzag, nzeg
+             READ ( id+110 )  nxa, nxe, nya, nye, nza, nze
+             ALLOCATE ( pf3d(nxag:nxeg,nyag:nyeg,nzag:nzeg) )
+             IF ( avs_output )  THEN
+                OPEN ( 2, FILE='PLOT3D_DATA', FORM='UNFORMATTED' )
+             ENDIF
+          ENDIF
+
+!
+!--       Read output time
+          IF ( netcdf_output  .AND.  id == 0 )  THEN
              IF ( netcdf_1 )  THEN
-                nc_stat = NF90_CLOSE( id_set(1) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 20 )
-             ENDIF
-#endif
-          ENDIF
-
-!
-!--       Output required cpu time
-          CALL SYSTEM_CLOCK( count, count_rate )
-          cpu_end_time = REAL( count ) / REAL( count_rate )
-          WRITE (*,'(5X,A,F9.3,A)')  'Required cpu-time: ', &
-                                     cpu_end_time-cpu_start_time, ' sec'
-
-       ENDIF
-
-    ENDDO  ! models
+                READ ( id+110, END=999 )  simulated_time, time_step, av
+             ELSE
+!
+!--             For compatibility with earlier PALM versions
+                READ ( id+110, END=999 )  simulated_time, time_step
+                av = 0
+             ENDIF
+          ENDIF
+
+!
+!--       Read subdomain indices and grid point values
+          READ ( id+110, END=999 )  xa, xe, ya, ye, za, ze
+          READ ( id+110 )  pf3d(xa:xe,ya:ye,za:ze)
+          IF ( id == 0 )  fanz(av) = fanz(av) + 1
+
+       ENDDO
+
+!
+!--    Write data of the total domain
+       IF ( avs_output )  WRITE ( 2 )  pf3d(nxa:nxe,nya:nye,nza:nze)
+       
+!
+!--    Write same data in NetCDF format
+       IF ( netcdf_output )  THEN
+#if defined( __netcdf )
+!
+!--       Check if a new time step has begun; if yes write data to time axis
+          IF ( current_var(av) > num_var(av) )  THEN
+             current_var(av) = 1
+             nc_stat = NF90_PUT_VAR( id_set(av), id_var_time(av), &
+                                     (/ simulated_time /),&
+                                     start = (/ time_step /), count = (/ 1 /) )
+             IF ( nc_stat /= NF90_NOERR ) CALL handle_netcdf_error( 17 )
+          ENDIF
+
+!
+!--       Now write the data
+          nc_stat = NF90_PUT_VAR( id_set(av), id_var(av,current_var(av)), &
+                                  pf3d(nxa:nxe,nya:nye,nza:nze),      &
+                                  start = (/ 1, 1, 1, time_step /),   &
+                              count = (/ nxe-nxa+1, nye-nya+1, nze-nza+1, 1 /) )
+          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 18 )
+
+          current_var(av) = current_var(av) + 1
+
+#endif
+       ENDIF
+
+    ENDDO
+
+999 IF ( danz /= 0 )  THEN
+!
+!--    Print the number of arrays processed
+       WRITE (*,'(16X,I4,A)')  fanz(0)+fanz(1), ' array(s) processed'
+       IF ( fanz(1) /= 0 )  THEN
+          WRITE (*,'(16X,I4,A)')  fanz(1), ' array(s) are time-averaged'
+       ENDIF
+!
+!--    Close all files and deallocate array
+       DO  id = 0, danz-1
+          CLOSE ( id+110 )
+       ENDDO
+       CLOSE ( 2 )
+       DEALLOCATE ( pf3d )
+!
+!--    Close the NetCDF file
+       IF ( netcdf_output )  THEN
+#if defined( __netcdf )
+          IF ( netcdf_0 )  THEN
+             nc_stat = NF90_CLOSE( id_set(0) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 19 )
+          ENDIF
+          IF ( netcdf_1 )  THEN
+             nc_stat = NF90_CLOSE( id_set(1) )
+             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 20 )
+          ENDIF
+#endif
+       ENDIF
+    ENDIF
 
 
@@ -882,10 +667,8 @@
        INTEGER, INTENT(IN) ::  errno
 
-#if defined( __netcdf )
        IF ( nc_stat /= NF90_NOERR )  THEN
           PRINT*, '+++ combine_plot_fields  netcdf: ', av, errno, &
                   TRIM( nf90_strerror( nc_stat ) )
        ENDIF
-#endif
 
     END SUBROUTINE handle_netcdf_error
Index: palm/trunk/UTIL/combine_plot_fields_single_open.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 4901)
+++ palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1)
@@ -1,49 +1,20 @@
  PROGRAM combine_plot_fields
 
-!------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021  Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
-!
-! Current revisions:
-! -----------------
-! 
-! 
-! Former revisions:
+!-------------------------------------------------------------------------------!
+! Aktuelle Aenderungen:
 ! ---------------------
-! $Id$
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 1468 2014-09-24 14:06:57Z maronga
-! Adapted for use on up to 6-digit processor cores (not tested)
-!
-! code put under GPL (PALM 3.9)
 ! Prozessordateien werden einzeln geoeffnet und geschlossen
 !
+! Fruehere Aenderungen:
+! ---------------------
 ! 23/02/99  Keine Bearbeitung komprimierter 3D-Daten
 ! Ursprungsversion vom 28/07/97
 !
 !
-! Description:
+! Beschreibung:
 ! -------------
 ! Vereinigung der von PARLES im Parallelbetrieb erzeugten Teilfelder zu
 ! gemeinsamen, das jeweilige Gesamtgebiet umfassenden Plotfeldern
-!------------------------------------------------------------------------------!
+!-------------------------------------------------------------------------------!
 
     IMPLICIT NONE
@@ -52,5 +23,5 @@
 !-- Lokale Variablen
     CHARACTER (LEN=2) ::  modus
-    CHARACTER (LEN=9) ::  id_char
+    CHARACTER (LEN=7) ::  id_char
 
     INTEGER, PARAMETER ::  spk = SELECTED_REAL_KIND( 6 )
@@ -76,5 +47,5 @@
 !--    Pruefen, ob Basisdatei von PE0 vorhanden
        danz = 0
-       WRITE (id_char,'(A2,''_'',I6.6)')  modus, danz
+       WRITE (id_char,'(A2,''_'',I4.4)')  modus, danz
        INQUIRE ( FILE='PLOT2D_'//id_char, EXIST=found )
 !
@@ -83,5 +54,5 @@
 
           danz = danz + 1
-          WRITE (id_char,'(A2,''_'',I6.6)')  modus, danz
+          WRITE (id_char,'(A2,''_'',I4.4)')  modus, danz
           INQUIRE ( FILE='PLOT2D_'//id_char, EXIST=found )
 
@@ -107,5 +78,5 @@
 !
 !--          Prozessordatei oeffnen
-             WRITE (id_char,'(A2,''_'',I6.6)')  modus, id
+             WRITE (id_char,'(A2,''_'',I4.4)')  modus, id
              OPEN ( 1, FILE='PLOT2D_'//id_char, FORM='UNFORMATTED', &
                        POSITION='ASIS' )
@@ -177,5 +148,5 @@
 !-- Pruefen, ob Basisdatei von PE0 vorhanden
     danz = 0
-    WRITE (id_char,'(I6.6)')  danz
+    WRITE (id_char,'(I4.4)')  danz
     INQUIRE ( FILE='PLOT3D_DATA_'//TRIM( id_char ), EXIST=found )
 
@@ -189,5 +160,5 @@
 
        danz = danz + 1
-       WRITE (id_char,'(I6.6)')  danz
+       WRITE (id_char,'(I4.4)')  danz
        INQUIRE ( FILE='PLOT3D_DATA_'//TRIM( id_char ), EXIST=found )
 
@@ -218,5 +189,5 @@
 !
 !--       Prozessordatei oeffnen
-          WRITE (id_char,'(I6.6)')  id
+          WRITE (id_char,'(I4.4)')  id
           OPEN ( 1, FILE='PLOT3D_DATA_'//TRIM( id_char ), FORM='UNFORMATTED', &
                     POSITION='ASIS' )
Index: palm/trunk/UTIL/compare_palm_logs.f90
===================================================================
--- palm/trunk/UTIL/compare_palm_logs.f90	(revision 4901)
+++ palm/trunk/UTIL/compare_palm_logs.f90	(revision 1)
@@ -2,39 +2,10 @@
 
 !------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021  Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
-!
-! Current revisions:
+! Actual revisions:
 ! -----------------
 ! 
-! 
+!
 ! Former revisions:
 ! -----------------
-! $Id$
-! Corrected "Former revisions" section
-!
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 1310 2014-03-14 08:01:56Z raasch
-! update of GPL copyright
-!
-! 1046 2012-11-09 14:38:45Z maronga
-! code put under GPL (PALM 3.9)
-! name of data-directories are read from input
 !
 ! Description:
@@ -75,14 +46,6 @@
     REAL, DIMENSION(:,:,:), ALLOCATABLE ::  array_1, array_2
 
-
-!
-!-- Read the two data-directories to be compared
-    PRINT*, '*** please enter name of first data-directory:'
-    READ ( *, * )  directory(1)
-    directory(1) = TRIM( directory(1) ) // '/'
-
-    PRINT*, '*** please enter name of second data-directory:'
-    READ ( *, * )  directory(2)
-    directory(2) = TRIM( directory(2) ) // '/'
+    directory(1) = 'const_log/'
+    directory(2) = 'const_log.1/'
 
 !
